export interface TreeResfulParams {
  id: string
  type: 'depth' | 'serial'
  operation: 'upDepth' | 'downDepth' | 'upSerial' | 'downSerial'
}

export interface TreeResultModel {
  id: string
  parentId: string
  name: string
  depth: number
  serial: number
  attribution: string
  code: string
  contractId: string
  createTime: string
  code2: string
  children: TreeResultModel[]
}

export interface SectionAddParams {
  id: string
  name: string
}

export interface SectionUpdateParams extends SectionAddParams {
  code2: string
}
export interface SectionFileParams {
  id: string
  contractId: string
}
