import { MenuModeEnum, MenuTypeEnum } from '../enums/menuEnum'

export interface LockInfo {
  pwd: string | undefined
  isLock: boolean
}

export interface UserInfo {
  id: string
  account: string
  name: string
  company: string
  position: string
  role: string
  mobile: string
  telephone: string
  isAdmin: number
  accountGroup: number
  enable: number
}

export interface BeforeMiniState {
  menuCollapsed?: boolean
  menuSplit?: boolean
  menuMode?: MenuModeEnum
  menuType?: MenuTypeEnum
}
